//
//  MATCShadowOverlayView.m
//  QuartzExamples
//
//  Created by Brad Larson on 2/10/2010.
//

#import "MATCShadowOverlayView.h"


@implementation MATCShadowOverlayView


- (id)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        // Initialization code
    }
    return self;
}


- (void)drawRect:(CGRect)rect 
{
	CGContextRef context = UIGraphicsGetCurrentContext();
    CGRect currentBounds = self.bounds;

	CGGradientRef backgroundGradient;
	size_t num_locations = 2;
	
	CGFloat locations[2] = { 0.0, 1.0 };
	CGFloat components[8] = { 0.0, 0.0, 0.0, 0.0,  // Start color
		0.0, 0.0, 0.0, 0.6
	}; // End color
	CGColorSpaceRef rgbColorspace = CGColorSpaceCreateDeviceRGB();
	
	backgroundGradient = CGGradientCreateWithColorComponents (rgbColorspace, components, locations, num_locations);
	
	CGPoint centerPoint = CGPointMake(CGRectGetMidX(currentBounds), CGRectGetMidY(currentBounds));
	CGContextDrawRadialGradient (context, backgroundGradient, centerPoint, 0.0, centerPoint, currentBounds.size.width, kCGGradientDrawsAfterEndLocation);
	
	CGGradientRelease(backgroundGradient);	
}


- (void)dealloc {
    [super dealloc];
}


@end
